org.apache.ignite.spi.tracing

## Class TracingConfigurationCoordinates

- java.lang.Object
- - org.apache.ignite.spi.tracing.TracingConfigurationCoordinates

All Implemented Interfaces:
  Serializable

    public class TracingConfigurationCoordinates
    extends Object
    implements Serializable

Specifies to which traces, specific configuration will be applied. In other words it's a sort of tracing configuration locator.

See Also:
  Serialized Form

### Nested Class Summary

Nested Classes
`static class` `TracingConfigurationCoordinates.Builder` `TracingConfigurationCoordinates` builder.

### Method Summary

All Methods Instance Methods Concrete Methods
`boolean` `equals(Object o)`
`int` `hashCode()`
`@Nullable String` `label()`
`@NotNull Scope` `scope()`
`String` `toString()`

### Methods inherited from class java.lang.Object

`clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

### Method Detail

#### scope

    @NotNull
    public @NotNull Scope scope()

Returns:
  `Scope` of a trace's root span to which some specific tracing configuration will be applied.

#### label

    @Nullable
    public @Nullable String label()

Returns:
  Label of a traced operation, to which some specific tracing configuration will be applied.

#### equals

    public boolean equals(Object o)

Overrides:
  `equals` in class `Object`

#### hashCode

    public int hashCode()

Overrides:
  `hashCode` in class `Object`

#### toString

    public String toString()

Overrides:
  `toString` in class `Object`

${current.year} Copyright © Apache Software Foundation

Follow @ApacheIgnite

Ignite Database and Caching Platform | : ver. 2.16.0
Release Date | : December 15 2023